<?php get_header(); ?>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<div id="page" class="<?php mts_single_page_class(); ?>">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post();
		$header_animation = mts_get_post_header_effect();
		$mts_featured_image = wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()) );
			
		if (!empty($mts_featured_image)) {
			if ( 'parallax' === $header_animation ) {
				if (mts_get_thumbnail_url()) : ?>
			        <div class="single-featured-thumbnail" id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>>
			    <?php endif;
			} else if ( 'zoomout' === $header_animation ) {
				if (mts_get_thumbnail_url()) : ?>
			        <div  id="zoom-out-effect"><div class="single-featured-thumbnail" id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>>
			    <?php endif;
			} else { ?>
		 		<div class="single-featured-thumbnail" style="background: url(<?php echo $mts_featured_image; ?>); background-repeat: no-repeat; background-size: cover;">
		 	<?php } ?>
		        <header>
		            <?php if ($mts_options['mts_category_single'] == '1') { ?><div class="post-info thecategory"><?php mts_the_category(', ') ?></div><?php } ?>
		            <h1 class="title front-view-title"><?php the_title(); ?></h1>   
		            <?php mts_the_postinfo('single'); ?>
		        </header><!--.headline_area-->
	       	</div>
	       	<div class="container fixed-width-page">
	       		<article class="<?php mts_article_class(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
	       		<meta itemprop="datePublished" content="<?php the_time( get_option( 'date_format' ) ); ?>">
	    <?php } else { ?>
	    	<div class="container fixed-width-page">
	    		<article class="<?php mts_article_class(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
			    	<header class="no-thumb">
			    		<?php if ($mts_options['mts_category_single'] == '1') { ?><div class="post-info thecategory" itemprop="articleSection"><?php mts_the_category(', ') ?></div><?php } ?>
			            <h1 class="title front-view-title"><?php the_title(); ?></h1>
			            <?php mts_the_postinfo('single'); ?>
			        </header><!--.headline_area-->
	    <?php } ?>
	    	<?php if (mts_get_thumbnail_url()) : ?>
	    		<meta itemprop="image" content="<?php echo mts_get_thumbnail_url(); ?>" />
	    	<?php endif; ?>
		    <div id="content_box">
				<?php if ($mts_options['mts_breadcrumb'] == '1') { ?>
					<div class="breadcrumb" xmlns:v="http://rdf.data-vocabulary.org/#"><?php mts_the_breadcrumb(); ?></div>
				<?php }
				// Single post parts ordering
				if ( isset( $mts_options['mts_single_post_layout'] ) && is_array( $mts_options['mts_single_post_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_single_post_layout'] ) ) {
					$single_post_parts = $mts_options['mts_single_post_layout']['enabled'];
				} else {
					$single_post_parts = array( 'content' => 'content', 'related' => 'related', 'author' => 'author' );
				}
				foreach( $single_post_parts as $part => $label ) { 
					switch ($part) {
						case 'content':	?>
							<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
								<div class="single_post">
							 		<div class="post-single-content box mark-links entry-content">
										<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
											<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="topad">
													<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] !== 'bottom') mts_social_buttons(); ?>
										<div class="thecontent" itemprop="articleBody">
											<?php the_content(); ?>
										</div>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next','mythemeshop'), 'previouspagelink' => __('Previous','mythemeshop'), 'pagelink' => '%','echo' => 1 )); ?>
										<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
											<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="bottomad">
													<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?> 
										<?php if (empty($mts_options['mts_social_button_position']) || $mts_options['mts_social_button_position'] == 'bottom') mts_social_buttons(); ?>
									</div><!--.post-single-content-->
								</div>
							</div>
						<?php break;

						case 'tags':
							mts_the_tags('','');
						break;

						case 'related':
							mts_related_posts();
						break;
					}
				}
				comments_template( '', true ); ?>
			</div>
		</article>
		<?php $sidebar = mts_custom_sidebar();
		if ( $mts_options['mts_author_box'] && $sidebar != 'mts_nosidebar' ) { ?>
			<aside class="sidebar c-4-12" role="complementary" itemscope itemtype="http://schema.org/WPSideBar">
				<div id="sidebars" class="g">
					<div class="sidebar">
						<div class="postauthor">
							<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '150' );  } ?>
				            <div class="author_wrap">
				                <h5 class="vcard"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" rel="nofollow" class="fn"><?php the_author_meta( 'nickname' ); ?></a></h5>
				            </div>    
							<p><?php the_author_meta('description') ?></p>

							<?php $userID = get_current_user_id();
								$facebook = get_the_author_meta( 'facebook_profile', $userID );
								$twitter = get_the_author_meta( 'twitter_profile', $userID );
						        $google = get_the_author_meta( 'google_profile', $userID );
						        $pinterest = get_the_author_meta( 'pinterest', $userID );
						        $instagram = get_the_author_meta( 'instagram', $userID );
						        $linkedin = get_the_author_meta( 'linkedin', $userID );
						        $youTube = get_the_author_meta( 'youTube', $userID );
						        $email = get_the_author_meta( 'email_profile', $userID );
					        if($facebook !='' || $twitter !='' || $google !='' || $pinterest !='' || $instagram !='' || $linkedin !='' ||$youTube !='' || $email !='')
							{ ?>
							    <div class="author-social">
							      	<?php if($facebook !='')
									{ ?>
										<a href="<?php echo $facebook; ?>"><i class="fa fa-facebook"></i></a>
									<?php }
									
									if($twitter !='')
									{ ?>
										<a href="<?php echo $twitter; ?>"><i class="fa fa-twitter"></i></a>
									<?php }

									if($google !='')
									{ ?>
										<a href="<?php echo $google; ?>"><i class="fa fa-google-plus"></i></a>
									<?php }

									if($pinterest !='')
							        { ?>
							           	<a href="<?php echo $pinterest; ?>"><i class="fa fa-pinterest"></i></a>
						        	<?php }

						        	if($instagram !='')
							      	{ ?>
										<a href="<?php echo $instagram; ?>"><i class="fa fa-instagram"></i></a>
							   		<?php }

							   		if($linkedin !='')
						          	{ ?>
							       		<a href="<?php echo $linkedin; ?>"><i class="fa fa-linkedin"></i></a>
									<?php }

									if($youTube !='')
							       	{ ?>
							       		<a href="<?php echo $youTube; ?>"><i class="fa fa-youtube-play"></i></a>
							       	<?php }

							       	if($email !='')
							      	{ ?>
							            <a href="<?php echo $email; ?>"><i class="fa fa-envelope"></i></a>
						        	<?php } ?>
	  							</div>
							<?php } ?>
						</div>
	    			</div>
				</div>
			</aside>
		<?php }
	endwhile; /* end loop */ ?>
	<?php get_sidebar(); ?>
</div>
<?php get_footer(); ?>